Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DTRTI2

    java.lang.Object
      org.netlib.lapack.DTRTI2

    public class DTRTI2

extends java.lang.Object

    DTRTI2 is a simplified interface to the JLAPACK routine dtrti2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DTRTI2 computes the inverse of a real upper or lower triangular
     *  matrix.
     *
     *  This is the Level 2 BLAS version of the algorithm.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the matrix A is upper or lower triangular.

     *          = 'U':  Upper triangular
     *          = 'L':  Lower triangular
     *
     *  DIAG    (input) CHARACTER*1
     *          Specifies whether or not the matrix A is unit triangular.
     *          = 'N':  Non-unit triangular
     *          = 'U':  Unit triangular
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the triangular matrix A.  If UPLO = 'U', the
     *          leading n by n upper triangular part of the array A contains

     *          the upper triangular matrix, and the strictly lower
     *          triangular part of A is not referenced.  If UPLO = 'L', the
     *          leading n by n lower triangular part of the array A contains

     *          the lower triangular matrix, and the strictly upper
     *          triangular part of A is not referenced.  If DIAG = 'U', the
     *          diagonal elements of A are also not referenced and are
     *          assumed to be 1.
     *
     *          On exit, the (triangular) inverse of the original matrix, in

     *          the same storage format.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -k, the k-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DTRTI2()`

Method Summary
`static void` | `DTRTI2(java.lang.String uplo, java.lang.String diag, int n, double[][] a, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTRTI2

    public DTRTI2()

Method Detail

### DTRTI2

    public static void DTRTI2(java.lang.String uplo,
                              java.lang.String diag,
                              int n,
                              double[][] a,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD